summaryrefslogtreecommitdiff
path: root/firefox.sh.in
diff options
context:
space:
mode:
authorMartin Stransky <stransky@anakreon.cz>2012-07-10 10:35:34 +0200
committerMartin Stransky <stransky@anakreon.cz>2012-07-10 10:35:34 +0200
commita62de3b29587ca0c10f5b2b68b71195379e7f9fa (patch)
treedda089832fd087137ae22fc70adf85b76a1080c3 /firefox.sh.in
parentUpdate to 13.0.1 (diff)
downloadlibrewolf-fedora-ff-a62de3b29587ca0c10f5b2b68b71195379e7f9fa.tar.gz
librewolf-fedora-ff-a62de3b29587ca0c10f5b2b68b71195379e7f9fa.tar.bz2
librewolf-fedora-ff-a62de3b29587ca0c10f5b2b68b71195379e7f9fa.zip
WIP - default langpack fix
Diffstat (limited to 'firefox.sh.in')
-rw-r--r--firefox.sh.in5
1 files changed, 2 insertions, 3 deletions
diff --git a/firefox.sh.in b/firefox.sh.in
index dbb9997..d89d4f2 100644
--- a/firefox.sh.in
+++ b/firefox.sh.in
@@ -189,8 +189,7 @@ if [ $MOZILLA_DOWN -ne 0 ]; then
CURRENT_LOCALE=${CURRENT_LOCALE:-$LC_MESSAGES}
CURRENT_LOCALE=${CURRENT_LOCALE:-$LANG}
- # Try without a local variant first, then with a local variant
- # So that pt-BR doesn't try to use pt for example
+ # Try with a local variant first, then without a local variant
SHORTMOZLOCALE=`echo $CURRENT_LOCALE | sed "s|_\([^.]*\).*||g"`
MOZLOCALE=`echo $CURRENT_LOCALE | sed "s|_\([^.]*\).*|-\1|g"`
@@ -207,7 +206,7 @@ if [ $MOZILLA_DOWN -ne 0 ]; then
return 1
}
- create_langpack_link $SHORTMOZLOCALE || create_langpack_link $MOZLOCALE || true
+ create_langpack_link $MOZLOCALE || create_langpack_link $SHORTMOZLOCALE || true
fi
# Prepare command line arguments
bgstack15